import App from "./App.svelte";

const app = new App({
  target: document.body,
  props: {
    dialogSet: {
      startDialogName: "start",
      dialogs: {
        start: {
          imageUrl: "./Breuer_Frank_Thorsten.jpg",
          text: "Hallo, kann ich etwas für sie tun?",
          options: [
            {
              text: "Hallo Herr Breuer, ich grüße sie recht herzlich!",
              linksToDialog: "greetBreuer",
            },
            {
              text: "Hallo, ich suche den Hörsaal E23",
              linksToDialog: "seekHS",
            },
          ],
        },
        seekHS: {
          imageUrl: "./Breuer_Frank_Thorsten.jpg",
          text:
            "Da müssen sie den Flur wieder zurück gehen und im Foyer nach hinten durchgehen. Den Hörsaal erkennen sie an der großen Doppeltür",
          options: [],
        },
        greetBreuer: {
          imageUrl: "./Breuer_Frank_Thorsten.jpg",
          text:
            "Ich grüße sie auch recht herzlich, studieren sie zufälligerweise Informatik?",
          options: [
            {
              text: "Ich habe gerade damit angefangen",
              linksToDialog: "startedToStudy",
            },
            {
              text: "Ich studiere hier schon länger",
              linksToDialog: "longTimeStudent",
            },
          ],
        },
        longTimeStudent: {
          imageUrl: "./Breuer_Frank_Thorsten.jpg",
          text: "Dann sollten sie mal schnell weiter studieren gehen!",
          options: [],
        },
        startedToStudy: {
          imageUrl: "./Breuer_Frank_Thorsten.jpg",
          text:
            'Wunderbar, ich kann deine, verzeihung, ich darf sie doch duzen, oder? Also ich brauche deine Hilfe. Der Studiengang Informatik muss regelmäßig akkreditiert werden, damit wir ihn weiter anbieten dürfen. Jetzt haben leider die verdammten Studenten von der Fachschaft in den letzten genehnmigten Studienplan das Modul "Angewandte Chaostheorie" hineingeschmuggelt. Das ist bei uns leider niemanden aufgefallen, der Akkreditierungskommission vom Bildungsministerium aber schon. Wenn wir nicht bald nachweisen können, dass jemand dieses Modul auch belegt und erfolgreich abgeschlossen hat, wird uns die Akkreditierung entzogen und der Informatik-Studiengang muss eingestellt werden. Ich bitte sie, helfen sie mir!',
          options: [],
        },
      },
    },
  },
});

export default app;
